<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>利用float实现-上下(左定宽右自适应)结构-并自动撑开浏览器</title>
    <style>
        *{
            margin: 0;
            padding: 0;
        }
        html,body{
            width: 100%;
            height: 100%;
        }
        .wrap{
            height: 100%;
        }
        .top{
            height: 40px;
            position: fixed;
            background: red;
            z-index: 9999;
            width: 100%;
        }
        .show{
            width: 100%;
            padding-top: 40px;
        }
        .left{
            width: 120px;
            min-height:100vh;
            height: auto;
            float: left;
            background: pink;
        }
        .right{
            background: blue;
            min-height:100vh;
            height: auto;
        }
        .clearfix:after{
            content:'';
            clear: both;
            display: block;
            visibility: hidden;
        }
    </style>
</head>
<body>
    <div class="wrap">
        <div class="top"></div>
        <div class="show clearfix">
            <div class="left">固定宽度</div>
            <div class="right">自适应</div>
        </div>
    </div>
</body>
</html>